Bug 10690 - Icewm не появляется в меню wm-select
: Icewm не появляется в меню wm-select
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/icewm-light)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-01-20 09:57 by
Modified: 2007-01-27 09:31 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-01-20 09:57:13
Обновил icewm до 1.2.30-alt1, а он и пропал из wm-select.
В файле /etc/X11/wmsession.d/04IceWM параметр ICON указывает
на несуществующую иконку.
------- Comment #1 From 2007-01-20 19:47:02 -------
Вдогонку.
В icewm-light-1.2.28-alt3 иконка /usr/share/icons/IceWM.xpm была,
а в 1.2.30-alt1 уже нет.
Евгений, гляньте, пожалуйста.
А покамест я у себя прописал путь к одной из имеющихся иконок.
------- Comment #2 From 2007-01-22 06:19:53 -------
(In reply to comment #1)
> В icewm-light-1.2.28-alt3 иконка /usr/share/icons/IceWM.xpm была,
> а в 1.2.30-alt1 уже нет.


На работе:

~$ R -ql icewm-light G icewm.xpm                                          10:16
/usr/share/icons/IceWM.xpm
~$ R -q icewm-light                                                       10:17
icewm-light-1.2.30-alt1.M30.1


Дома на Сизифе проверю, но скорее local misconfiguration. rpm -V icewm-ligth ?
------- Comment #3 From 2007-01-22 06:21:02 -------
И кстати, из wm-select changelog:

16 сентября 2006 Dmitry V. Levin <ldv at altlinux.org> 0.7-alt1

    * Handle invalid pixmaps gently.

http://sisyphus.ru/srpm/wm-select/changelog
------- Comment #4 From 2007-01-25 07:26:01 -------
(In reply to comment #2)
> (In reply to comment #1)
> > В icewm-light-1.2.28-alt3 иконка /usr/share/icons/IceWM.xpm была,
> > а в 1.2.30-alt1 уже нет.
> Дома на Сизифе проверю, но скорее local misconfiguration. rpm -V icewm-ligth ?

Не-а. Все чисто. Дважды проверил до репорта и однажды- после.

> И кстати, из wm-select changelog:
> 16 сентября 2006 Dmitry V. Levin <ldv at altlinux.org> 0.7-alt1
>     * Handle invalid pixmaps gently.

Оно здесь ни при чем. Дублирует кнопки в меню, сделанные с картинками
.png и .xpm.
Сделайте, пожалуйста, тогда что-то вроде

--- icewm.wmsession.orig        2006-01-29 03:45:42 +0300
+++ icewm.wmsession     2007-01-25 07:11:13 +0300
@@ -1,5 +1,5 @@
 NAME=IceWM
-ICON=/usr/share/icons/IceWM.xpm
+ICON=/usr/share/icons/hicolor/48x48/apps/icewm.png
 EXEC=/usr/bin/starticewm
 DESC=Lightweight desktop environment
 SCRIPT:

в каталоге SOURCES.
------- Comment #5 From 2007-01-26 05:48:04 -------
fixed in 1.2.30-alt2 (не предложенным методом, он плох).
------- Comment #6 From 2007-01-27 09:31:50 -------
Спасибо!